function plot_spectrum(fs,N,w)
                                                % 샘플링된 신호의 진폭 스펙트럼 그림  

f0=100;                                         % 연속 정현파 신호 x(t)의 주파수 
Ts=1/fs;                                        % 샘플링 주기 계산
df=fs/N;                                        % 주파수 해상도 계산
n=0:Ts:(N-1)*Ts;                                % 샘플 추출 시간 설정
x=cos(2*pi*f0*n);                               % 샘플링된 신호 x[n] 생성
X=fft(x);                                       % 고속 푸리에 변환에 의한 스펙트럼 계산 
X=fftshift(X);                                  % 스펙트럼을 좌우 대칭이 되게 정렬
f=(-N/2)*df:df:(N/2-1)*df;                      % 그림을 그리기 위한 주파수 축 설정
Xmag=abs(X)/max(abs(X));                        % (규준화된) 진폭 스펙트럼 계산

subplot(2,2,w);                                 % 2행 2열 분할 그림 창의 w번 창
plot(f,Xmag);                                   % 진폭 스펙트럼 그림
axis([f(1) f(length(f)) 0 1.2]);                % x축 및 y축 그림 영역 설정 
title('\bf{샘플링된 신호의 진폭 스펙트럼}');      % 그림 제목 
xlabel('\bf{f}');                               % x축 라벨 표시
